define([
		"chy/_base/_ValidateMixin",
		"dojo/_base/declare",
		"chy/store/Json", 
		"dijit/form/FilteringSelect"
	], function(_ValidateMixin, declare, Json, FilteringSelect){
		
	return declare("chy.form.FilteringSelect",[FilteringSelect, _ValidateMixin],{
		
		//constructor
		constructor: function(args){
			declare.safeMixin(this,args);
			this.inherited(arguments);
			
			if (this.dataUrl != '')
			{
		        this.store = new Json({idProperty:"value"});
				this.store.target=dataUrl;
		        this.store.startLength=3;
			}
		}
		
	});
});
